package de.hdm_stuttgart.battlearena.Controller.Utilities;

import javafx.scene.layout.BorderPane;
import javafx.scene.media.Media;
import javafx.scene.media.MediaPlayer;
import javafx.scene.media.MediaView;

import java.io.File;

public class CreateMediaPlayer {
    public MediaPlayer getMediaPlayer(MediaView mediaView, File file, boolean isFullscreen, BorderPane... parent) {
        Media media = new Media(file.toURI().toString());
        MediaPlayer mediaPlayer = new MediaPlayer(media);

//      resizing once the scenes has been loaded to get width and height property
        if (isFullscreen) {
            mediaPlayer.setOnReady(() -> {
                mediaView.fitWidthProperty().bind(parent[0].getScene().widthProperty());
                mediaView.fitHeightProperty().bind(parent[0].getScene().heightProperty());
            });
        }
        mediaPlayer.setAutoPlay(true);
        return mediaPlayer;
    }
}
