module gui {
    requires javafx.controls;
    requires javafx.fxml;
    requires javafx.media;
    requires org.apache.logging.log4j;
    requires java.desktop;
    requires java.sql;
    requires com.google.gson;
    requires com.oracle.database.jdbc;
    requires java.naming;

    opens de.hdm_stuttgart.battlearena.Controller to javafx.fxml;
    opens de.hdm_stuttgart.battlearena.Model.DataStorage.Classes to com.google.gson;
    opens de.hdm_stuttgart.battlearena.Model.DataStorage.Classes.Exceptions to com.google.gson;
    opens de.hdm_stuttgart.battlearena.Model.DataStorage.Classes.Utilities to com.google.gson;
    opens de.hdm_stuttgart.battlearena to javafx.fxml;
    opens de.hdm_stuttgart.battlearena.Model.Sound to javafx.media;
    opens de.hdm_stuttgart.battlearena.Controller.Utilities to javafx.fxml;
    opens de.hdm_stuttgart.battlearena.Model.DataStorage.Classes.ENUMs to com.google.gson;

    exports de.hdm_stuttgart.battlearena.Main;
    exports de.hdm_stuttgart.battlearena.Controller;
    exports de.hdm_stuttgart.battlearena.Model.Entity;
    exports de.hdm_stuttgart.battlearena.Model.Inputs;
    exports de.hdm_stuttgart.battlearena.Model.Map;
    exports de.hdm_stuttgart.battlearena.Controller.Utilities;
}
